Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.soleng.eac.toolkit.component
Class ContentAcquisitionServerComponent

    java.lang.Object
      com.endeca.soleng.eac.toolkit.base.EacElement
          com.endeca.soleng.eac.toolkit.base.Provisionable
              com.endeca.soleng.eac.toolkit.component.CustomComponent
                  com.endeca.soleng.eac.toolkit.component.ContentAcquisitionServerComponent

    public class ContentAcquisitionServerComponent

extends com.endeca.soleng.eac.toolkit.component.CustomComponent

This custom component represents a Content Acquisition System Server. It exposes methods for executing CAS crawls using the CAS Server. Crawls must be configured externally, and this component does not provide utilities for provisioning new crawls and changing the configuration of an existing crawl. Execution of commands against a non-existent crawl will fail with an exception. It is expected that developers will use an external tool or the CAS console to create and manage configuration of crawls. Though this is "provisioned" like a component in the app configuration, this object's provisioning is stored as a set of custom properties (key value pairs) on the provisioned host on which this component runs.

Field Summary

Fields inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`appName, dataPrefix, eacHost, eacPort, elementId, lockManager, logDir, sslEnabled, workingDir`

Constructor Summary
`ContentAcquisitionServerComponent()` Constructor for the Config Manager custom component.

Method Summary
`void` | `checkCasVersion()` This method checks the version of the CAS server (as reported by a service call to the CAS web service) against the expected version defined when this class was built.
`void` | `cleanOutputDir(java.lang.String crawlName)` Cleans the crawl's output directory (specified in the crawl configuration, usually through the CAS Console), removing any files in that directory that match the naming convention used by this component.
`void` | `clearCrawlOutputFromDir(java.lang.String crawlName, boolean isIncrementalCrawl, java.lang.String hostId, java.lang.String targetDir)` Deletes files associated with the specified crawl from the specified directory.
`void` | `clearFullCrawlOutputFromDestinationDir(java.lang.String crawlName)` Convenience method to invoke clearCrawlOutputFromDestinationDir method with the isIncrementalCrawl argument set to false.
`void` | `clearIncrementalCrawlOutputFromDestinationDir(java.lang.String crawlName)` Convenience method to invoke clearCrawlOutputFromDestinationDir method with the isIncrementalCrawl argument set to true.
`void` | `copyBaselineCrawlOutputToDestinationDir(java.lang.String crawlName)` Convenience method to invoke copyCrawlOutputToDestinationDir method with the isIncrementalCrawl argument set to false.
`void` | `copyCrawlOutputToDestinationDir(java.lang.String crawlName, boolean isIncrementalCrawl)` This method is expected to be used in conjunction with the renameCrawlOutput method, as it assumes the naming convention created by that method.
`void` | `copyIncrementalCrawlOutputToDestinationDir(java.lang.String crawlName)` Convenience method to invoke copyCrawlOutputToDestinationDir method with the isIncrementalCrawl argument set to true.
`java.lang.String` | `getCasCrawlFullOutputDestDir()`
`java.lang.String` | `getCasCrawlIncrementalOutputDestDir()`
`java.lang.String` | `getCasCrawlOutputDestHost()`
`java.lang.String` | `getCasHost()`
`java.lang.String` | `getCasPort()`
`java.lang.String` | `getCrawlOutputDir(java.lang.String crawlName)` Queries the CAS to retrieve the crawl output directory from the crawl config.
`java.lang.String` | `getCrawlOutputPrefix(java.lang.String crawlName)` Queries the CAS to retrieve the crawl output file prefix from the crawl config.
`java.lang.String` | `getCrawlOutputSuffix(java.lang.String crawlName)` Queries the CAS to retrieve the crawl output file suffix from the crawl config.
`com.endeca.itl.cas.CrawlerState` | `getCrawlStatus(java.lang.String crawlName)` Retrieves the status of the specified crawl.
`long` | `getLongPropertyValueOrDefault(java.lang.String propName, long defaultValue)`
`long` | `getMaxMissedStatusChecksAllowed()`
`long` | `getMaxWaitTimeSeconds()`
`long` | `getMinWaitTimeSeconds()`
`int` | `getNumMissedStatusChecks()`
`long` | `getSlowPollingIntervalMs()`
`long` | `getStandardPollingIntervalMs()`
`void` | `incrementMissedStatusQueries()`
`boolean` | `isCrawlActive(java.lang.String crawlName)` Test whether the crawl is active (running or stopping).
`boolean` | `isCrawlDefined(java.lang.String crawlName)` Requests a list of crawls defined in the CAS and returns true if one of them matches the specified crawl name.
`boolean` | `isCrawlFileOutput(java.lang.String crawlName)` Checks if the crawl output type is File System
`boolean` | `isCrawlRunning(java.lang.String crawlName)` Test whether the crawl is running.
`boolean` | `isCrawlStopped(java.lang.String crawlName)` Test whether the crawl is stopped.
`boolean` | `isCrawlStopping(java.lang.String crawlName)` Test whether the crawl is stopping.
`java.util.List<java.lang.String>` | `listCasCrawls()` Returns a list of the crawls defined in the CAS.
`void` | `renameBaselineCrawlOutput(java.lang.String crawlName)` Convenience method to invoke renameCrawlOutput method with the isIncrementalCrawl argument set to false.
`void` | `renameCrawlOutput(java.lang.String crawlName, boolean isIncrementalCrawl)` Renames the crawl output file for a specified crawl to include the crawl name as a prefix as well as a timestamp if it's an incremental crawl.
`void` | `renameIncrementalCrawlOutput(java.lang.String crawlName)` Convenience method to invoke renameCrawlOutput method with the isIncrementalCrawl argument set to true.
`void` | `runBaselineCasCrawl(java.lang.String crawlName)` Runs to completion a full crawl of the CAS crawl with the specified name.
`void` | `runIncrementalCasCrawl(java.lang.String crawlName)` Runs to completion an incremental crawl of the CAS crawl with the specified name.
`void` | `setDefinition()`
`void` | `setNumMissedStatusChecks(int numMissedStatusQueries)`
`void` | `startBaselineCasCrawl(java.lang.String crawlName)` Executes a baseline crawl for the specified crawl name.
`void` | `startIncrementalCasCrawl(java.lang.String crawlName)` Executes an incremental crawl for the specified crawl name.
`boolean` | `waitForFinished(java.lang.String crawlName)` Waits for the specified crawl to finish (to be in a non-active state) or for the maximum amount of wait time to elapse.

Methods inherited from class com.endeca.soleng.eac.toolkit.component.CustomComponent
`buildEacStub, getCustomDirectories, getHost, getHostId, getProperties, getProperty, isDefined, isDefinitionChanged, removeDefinition, setCustomDirectories, setHostId, setProperties, updateDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.Provisionable
`getAppDefinitionFromEac, getCachedAppDefinition, getProvisioningPort, invalidateCachedAppDefinition, setCachedAppDefinition`

Methods inherited from class com.endeca.soleng.eac.toolkit.base.EacElement
`getAppName, getDataPrefix, getEacHost, getEacPort, getElementId, getLockManager, getLogDir, getWorkingDir, isSslEnabled, setAppName, setDataPrefix, setEacHost, setEacPort, setElementId, setLockManager, setLogDir, setSslEnabled, setWorkingDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentAcquisitionServerComponent

    public ContentAcquisitionServerComponent()

  Constructor for the Config Manager custom component.

Method Detail

### cleanOutputDir

    public void cleanOutputDir(java.lang.String crawlName)
                        throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException,
                               com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                               com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                               com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Cleans the crawl's output directory (specified in the crawl configuration, usually through the CAS Console), removing any files in that directory that match the naming convention used by this component. Both incremental and full crawl files (or, or specifically, files that match the naming pattern of both full and incremental crawl files) are removed from the crawl output directory. For details, refer to the clearCrawlOutputFromDir method.

  Parameters:
    `crawlName` - Crawl whose output directory should be cleaned.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### setDefinition

    public void setDefinition()
                       throws com.endeca.soleng.eac.toolkit.exception.EacCommunicationException

  Overrides:
    `setDefinition` in class `com.endeca.soleng.eac.toolkit.component.CustomComponent`
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`

### isCrawlDefined

    public boolean isCrawlDefined(java.lang.String crawlName)
                           throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Requests a list of crawls defined in the CAS and returns true if one of them matches the specified crawl name. This method should not be used to ensure that crawl execution doesn't fail, as even if this method returns true, the crawl may be removed by another process before execution begins.

  Parameters:
    `crawlName` - Crawl to test.
  Returns:
    True if the crawl is defined.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### listCasCrawls

    public java.util.List<java.lang.String> listCasCrawls()
                                                   throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Returns a list of the crawls defined in the CAS.

  Returns:
    List of the crawls defined in the CAS.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### runBaselineCasCrawl

    public void runBaselineCasCrawl(java.lang.String crawlName)
                             throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException,
                                    com.endeca.soleng.eac.toolkit.exception.CasControlException

  Runs to completion a full crawl of the CAS crawl with the specified name.

  Parameters:
    `crawlName` - Name of the crawl to run.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.CasControlException`

### runIncrementalCasCrawl

    public void runIncrementalCasCrawl(java.lang.String crawlName)
                                throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException,
                                       com.endeca.soleng.eac.toolkit.exception.CasControlException

  Runs to completion an incremental crawl of the CAS crawl with the specified name.

  Parameters:
    `crawlName` - Name of the crawl to run.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.CasControlException`

### waitForFinished

    public boolean waitForFinished(java.lang.String crawlName)
                            throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Waits for the specified crawl to finish (to be in a non-active state) or for the maximum amount of wait time to elapse. While waiting, the method will sleep its thread, swallowing any InterruptedExceptions that are caught.

  Parameters:
    `crawlName` - Name of the crawl to poll for status.
  Returns:
    Returns true if the crawl completes or false if the maximum time elapses before the crawl finishes.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### startBaselineCasCrawl

    public void startBaselineCasCrawl(java.lang.String crawlName)
                               throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Executes a baseline crawl for the specified crawl name. If the crawl is not already provisioned, or if the CAS can't be reached, this method throws an exception.

  Parameters:
    `crawlName` - Name of the crawl to execute.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### startIncrementalCasCrawl

    public void startIncrementalCasCrawl(java.lang.String crawlName)
                                  throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Executes an incremental crawl for the specified crawl name. If the crawl is not already provisioned, or if the CAS can't be reached, this method throws an exception.

  Parameters:
    `crawlName` - Name of the crawl to execute.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### getCrawlStatus

    public com.endeca.itl.cas.CrawlerState getCrawlStatus(java.lang.String crawlName)
                                                   throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Retrieves the status of the specified crawl.

  Parameters:
    `crawlName` - Name of the crawl to query.
  Returns:
    Returns the state of the crawl.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### isCrawlActive

    public boolean isCrawlActive(java.lang.String crawlName)
                          throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Test whether the crawl is active (running or stopping).

  Parameters:
    `crawlName` - Crawl to test.
  Returns:
    Returns true if the crawl is active (running or stopping).
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### isCrawlFileOutput

    public boolean isCrawlFileOutput(java.lang.String crawlName)
                              throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Checks if the crawl output type is File System

  Parameters:
    `crawlName` -
  Returns:
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### isCrawlRunning

    public boolean isCrawlRunning(java.lang.String crawlName)
                           throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Test whether the crawl is running.

  Parameters:
    `crawlName` - Crawl to test.
  Returns:
    Returns true if the crawl is running.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### isCrawlStopping

    public boolean isCrawlStopping(java.lang.String crawlName)
                            throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Test whether the crawl is stopping.

  Parameters:
    `crawlName` - Crawl to test.
  Returns:
    Returns true if the crawl is stopping.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### isCrawlStopped

    public boolean isCrawlStopped(java.lang.String crawlName)
                           throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Test whether the crawl is stopped.

  Parameters:
    `crawlName` - Crawl to test.
  Returns:
    Returns true if the crawl is stopped.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### clearIncrementalCrawlOutputFromDestinationDir

    public void clearIncrementalCrawlOutputFromDestinationDir(java.lang.String crawlName)
                                                       throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException,
                                                              com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                              com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                              com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Convenience method to invoke clearCrawlOutputFromDestinationDir method with the isIncrementalCrawl argument set to true.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### clearFullCrawlOutputFromDestinationDir

    public void clearFullCrawlOutputFromDestinationDir(java.lang.String crawlName)
                                                throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException,
                                                       com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                       com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                       com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Convenience method to invoke clearCrawlOutputFromDestinationDir method with the isIncrementalCrawl argument set to false.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### clearCrawlOutputFromDir

    public void clearCrawlOutputFromDir(java.lang.String crawlName,
                                        boolean isIncrementalCrawl,
                                        java.lang.String hostId,
                                        java.lang.String targetDir)
                                 throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException,
                                        com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                        com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                        com.endeca.soleng.eac.toolkit.exception.EacComponentControlException

  Deletes files associated with the specified crawl from the specified directory. This method expects files to follow the naming convention created by this object's renameCrawlOutput method. Specifically, when deleting incremental crawl files, the method searches for files that begin with "<crawlName>_" and contain "<crawlPrefix>-INCR-sgmt". And, when deleting full crawl files, the method searches for files in the that begin with "<crawlName>_" and contain "<crawlPrefix>-FULL-sgmt". All files that match the pattern are deleted from the file system.

  Parameters:
    `crawlName` - Name of the crawl whose output files are to be removed.
    `isIncrementalCrawl` - True if files are to be deleted for an incremental crawl.
    `hostId` - ID of host on which directory to be cleaned resides.
    `targetDir` - Directory from which target files should be removed.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`

### copyIncrementalCrawlOutputToDestinationDir

    public void copyIncrementalCrawlOutputToDestinationDir(java.lang.String crawlName)
                                                    throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                           com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                           com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                           com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Convenience method to invoke copyCrawlOutputToDestinationDir method with the isIncrementalCrawl argument set to true.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### copyBaselineCrawlOutputToDestinationDir

    public void copyBaselineCrawlOutputToDestinationDir(java.lang.String crawlName)
                                                 throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                        com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                        com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                        com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Convenience method to invoke copyCrawlOutputToDestinationDir method with the isIncrementalCrawl argument set to false.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### copyCrawlOutputToDestinationDir

    public void copyCrawlOutputToDestinationDir(java.lang.String crawlName,
                                                boolean isIncrementalCrawl)
                                         throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                                com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                                com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                                com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  This method is expected to be used in conjunction with the renameCrawlOutput method, as it assumes the naming convention created by that method. This method identifies crawl output files in the crawl output directory with the naming convention created by the renameCrawlOutput method. Once identified, files are copied to the configured destination directory. For an incremental crawl, the file is copied into the "incremental" subdirectory of the destination dir. For a full crawl, the file is copied into the "full" subdirectory of the destination dir.

  Parameters:
    `crawlName` - Name of the crawl whose output is to be copied.
    `isIncrementalCrawl` - True if the output is that of an incremental crawl.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### renameIncrementalCrawlOutput

    public void renameIncrementalCrawlOutput(java.lang.String crawlName)
                                      throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                             com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                             com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                             com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Convenience method to invoke renameCrawlOutput method with the isIncrementalCrawl argument set to true.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### renameBaselineCrawlOutput

    public void renameBaselineCrawlOutput(java.lang.String crawlName)
                                   throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                          com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                          com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Convenience method to invoke renameCrawlOutput method with the isIncrementalCrawl argument set to false.

  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### renameCrawlOutput

    public void renameCrawlOutput(java.lang.String crawlName,
                                  boolean isIncrementalCrawl)
                           throws com.endeca.soleng.eac.toolkit.exception.AppConfigurationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacCommunicationException,
                                  com.endeca.soleng.eac.toolkit.exception.EacComponentControlException,
                                  com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Renames the crawl output file for a specified crawl to include the crawl name as a prefix as well as a timestamp if it's an incremental crawl. The method starts by identifying the crawl output file by looking for <crawlPrefix>-FULL-sgmt*<crawlSuffix> or <crawlPrefix>-INCR-sgmt*<crawlSuffix>, where the prefix and suffix are configured in the CAS as part of the crawl definition. Once the file is identified, the file is renamed to include the crawl name as a prefix, allowing it to be uniquely identified when files are merged with the output of other crawls. For incremental crawls, a timestamp is inserted after the crawl name in the form yyyy.MM.dd.HH.mm.ss. The renamed form of the file will be: <crawlName>_<crawlPrefix>-FULL[-sgmt<num>]<crawlSuffix> or <crawlName>_<timestamp>_<crawlPrefix>-INCR[-sgmt<num>]<crawlSuffix> See the description of the getCrawlOutputSuffix method on this object for details about how the suffix is identified.

  Parameters:
    `crawlName` - Name of the crawl whose output is to be renamed.
    `isIncrementalCrawl` - True if an incremental crawl's output is to be renamed.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.AppConfigurationException`
    `com.endeca.soleng.eac.toolkit.exception.EacCommunicationException`
    `com.endeca.soleng.eac.toolkit.exception.EacComponentControlException`
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### getCrawlOutputDir

    public java.lang.String getCrawlOutputDir(java.lang.String crawlName)
                                       throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Queries the CAS to retrieve the crawl output directory from the crawl config.

  Parameters:
    `crawlName` - Name of the crawl to be queried.
  Returns:
    Returns the String representation of the crawl output dir.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### getCrawlOutputPrefix

    public java.lang.String getCrawlOutputPrefix(java.lang.String crawlName)
                                          throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Queries the CAS to retrieve the crawl output file prefix from the crawl config.

  Parameters:
    `crawlName` - Name of the crawl to be queried.
  Returns:
    Returns the String representation of the crawl output file prefix.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### getCrawlOutputSuffix

    public java.lang.String getCrawlOutputSuffix(java.lang.String crawlName)
                                          throws com.endeca.soleng.eac.toolkit.exception.CasCommunicationException

  Queries the CAS to retrieve the crawl output file suffix from the crawl config. If the crawl is configured to output XML, the suffix is ".xml"; otherwise, it's assumed to be ".bin". If the crawl output is configured to be compressed, ".gz" is appended to the suffix. So, four options might be returned: - .bin - .xml - .bin.gz - .xml.gz

  Parameters:
    `crawlName` - Name of the crawl to be queried.
  Returns:
    Returns the String representation of the crawl output file suffix.
  Throws:
    `com.endeca.soleng.eac.toolkit.exception.CasCommunicationException`

### checkCasVersion

    public void checkCasVersion()

  This method checks the version of the CAS server (as reported by a service call to the CAS web service) against the expected version defined when this class was built. If the version (excluding build number) doesn't match, or if the service can't be reached, this method logs a warning. However, the method will not throw any exceptions and doesn't provide any information to be used automatically. It's intended to provide messaging/warning in the case that there is a version mismatch that may cause problems.

### getCasPort

    public java.lang.String getCasPort()

### getCasHost

    public java.lang.String getCasHost()

### getCasCrawlFullOutputDestDir

    public java.lang.String getCasCrawlFullOutputDestDir()

### getCasCrawlIncrementalOutputDestDir

    public java.lang.String getCasCrawlIncrementalOutputDestDir()

### getCasCrawlOutputDestHost

    public java.lang.String getCasCrawlOutputDestHost()

### getLongPropertyValueOrDefault

    public long getLongPropertyValueOrDefault(java.lang.String propName,
                                              long defaultValue)

### getMaxMissedStatusChecksAllowed

    public long getMaxMissedStatusChecksAllowed()

### getStandardPollingIntervalMs

    public long getStandardPollingIntervalMs()

### getSlowPollingIntervalMs

    public long getSlowPollingIntervalMs()

### getMinWaitTimeSeconds

    public long getMinWaitTimeSeconds()

### getMaxWaitTimeSeconds

    public long getMaxWaitTimeSeconds()

### getNumMissedStatusChecks

    public int getNumMissedStatusChecks()

### setNumMissedStatusChecks

    public void setNumMissedStatusChecks(int numMissedStatusQueries)

### incrementMissedStatusQueries

    public void incrementMissedStatusQueries()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| EAC Components 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: EAC Components (eacComponents)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:23-0500